net-cpp: core::net::http::Request::Progress Struct Reference

net-cpp .. C++11 library for networking purposes

Public Types | Public Attributes | List of all members
core::net::http::Request::Progress Struct Reference

The Progress struct encapsulates progress information for web-resource requests. More...

`#include <request.h>`

Collaboration diagram for core::net::http::Request::Progress:

## Public Types
enum | Next { Next::continue_operation, Next::abort_operation }
| The Next enum summarizes the available return-types for the progress callback. More...

## Public Attributes
struct {
double total {-1.}
| Total number of bytes to be downloaded. More...
double current {-1.}
| Current number of bytes already downloaded. More...
} | download
struct {
double total {-1.}
| Total number of bytes to be uploaded. More...
double current {-1.}
| Current number of bytes already uploaded. More...
} | upload

## Detailed Description

The Progress struct encapsulates progress information for web-resource requests.

Definition at line 77 of file request.h.

## Member Enumeration Documentation

## ◆ Next

enum core::net::http::Request::Progress::Next
| strong

The Next enum summarizes the available return-types for the progress callback.

Enumerator
continue_operation | Continue the request.
abort_operation | Abort the request.

Definition at line 82 of file request.h.

## Member Data Documentation

## ◆ current

double core::net::http::Request::Progress::current {-1.}

Current number of bytes already downloaded.

Current number of bytes already uploaded.

Definition at line 91 of file request.h.

## ◆ download

struct { ... } core::net::http::Request::Progress::download

## ◆ total

double core::net::http::Request::Progress::total {-1.}

Total number of bytes to be downloaded.

Total number of bytes to be uploaded.

Definition at line 90 of file request.h.

## ◆ upload

struct { ... } core::net::http::Request::Progress::upload

The documentation for this struct was generated from the following file:

- /home/odroid/lomiri/net-cpp-git/src/net-cpp/include/core/net/http/request.h